#!/bin/sh
config() {
    NEW="$1"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
	mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
	rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}
config /etc/privoxy/config.new

#
# check privoxy account for build.
#
if [ -z "`grep privoxy /etc/group`" ]; then
    groupadd -g 207 privoxy
fi
if [ -z "`grep privoxy /etc/passwd`" ]; then
    useradd -u 207 -g 207 -d /etc/privoxy -s "" -c "Privoxy Account" privoxy
fi
chown privoxy:privoxy /var/log/privoxy

